<?php

declare(strict_types=1);

namespace App\Master\Framework\Library\Extend;

use App\Model\Framework\AdminSetupModel;

class Module
{
    /**
     * 单页模型
     * @param string $tables
     * @return array|mixed
     */
    public static function _SetupModule(string $tables): mixed
    {
        $setup = new AdminSetupModel();
        $info  = $setup->getDetail(params: ['table' => $tables]);
        return $info['value'] ?? [];
    }
}