<?php

declare(strict_types=1);

/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

use function Hyperf\Support\env;

return [
    'im' => [
        'appid'           => env('TENCENT_IM_APPID', ''),
        'identifier'      => env('TENCENT_IM_IDENTIFIER', ''),
        'key'             => env('TENCENT_IM_KEY', ''),
        'chat_prefix'     => env('TENCENT_IM_CHAT_PREFIX', ''),
        'push_domain'     => env('TENCENT_IM_PUSH_DOMAIN', ''),
        'play_domain'     => env('TENCENT_IM_PLAY_DOMAIN', ''),
        'push_key'        => env('TENCENT_IM_PUSH_KEY', ''),
    ],
];
