<?php

declare(strict_types=1);

namespace App\Controller\Api\v1;

use App\Controller\AbstractController;
use App\Utils\AppResult;
use App\Service\QueueService;
use App\Utils\AppResult;
use App\Utils\LogUtil;
use App\Utils\RedisUtil;
use Hyperf\DbConnection\Db;
use Hyperf\Di\Annotation\Inject;

/**
 * Demo
 * 示例
 */
class PlantaskController extends AbstractController
{
    // 日志模块名称
    const LOG_MODULE = 'v1/PlantaskController';

    #[Inject]
    protected QueueService $service;

    //每月初自动结算上个月的业绩
    public function auto_yeji(){
        $date = date('Ym').'01';

        //找一个没结算的
        $wallet = Db::table('user_wallet')->where('last_jiesuan_date','<',$date)->orderBy('id asc')->get();
        if(empty($wallet)){
            echo $date.'没有了';
            exit;
        }

        $wallet = json_decode(json_encode($wallet),true);
        foreach($wallet as $key => $one){
            dump($one);
            //$this->service->playerPush($one, 0);
        }


    }


}